<?xml version="1.0" encoding="UTF-8"?>
<device image="IMG-000283.png" type="DMXDevice" dmxaddresscount="34" dmxcversion="3.1.0" ddfversion="1.0.0">
  <information>
    <ddf-library-id>961</ddf-library-id>
    <model>Impression X4 Bar 10</model>
    <vendor>GLP</vendor>
    <author>Patrick Grote</author>
    <mode>Normal (norm)</mode>
  </information>
  <functions>
    <!-- Master Beam -->
    <position>
      <pan>
        <range range="0.2"/>
      </pan>
      <tilt dmxchannel="0" finedmxchannel="1">
        <range range="210"/>
      </tilt>
    </position>
    <zoom dmxchannel="2">
      <range type="linear" mindmx="255" maxdmx="0" minval="7" maxval="50"/>
    </zoom>
    <colortemp dmxchannel="3">
      <range mindmx="0" maxdmx="7" minval="0" maxval="0"/>
      <range mindmx="255" maxdmx="8" minval="2500" maxval="8000"/>
    </colortemp>
    <shutter dmxchannel="10">
      <step type="open" mindmx="240" maxdmx="255"/>
      <step type="closed" mindmx="0" maxdmx="15"/>
    </shutter>
    <strobe dmxchannel="10">
      <range type="linear" mindmx="144" maxdmx="199" minval="0.2" maxval="1"/>
      <range type="linear" mindmx="200" maxdmx="239" minval="1" maxval="10"/>
      <range type="random" mindmx="16" maxdmx="47" minval="1" maxval="10"/>
      <range type="random pulse up" mindmx="48" maxdmx="79" minval="1" maxval="10"/>
      <range type="random pulse down" mindmx="80" maxdmx="111" minval="1" maxval="10"/>
      <range type="random pulse up/down" mindmx="112" maxdmx="143" minval="1" maxval="10"/>
    </strobe>
    <dimmer dmxchannel="11"/>
    <const dmxchannel="12" name="Special" val="0"/>
    <raw dmxchannel="25" name="Crossfade">
      <range mindmx="0" maxdmx="255" minval="0" maxval="2"/>
    </raw>
    <raw dmxchannel="25" name="Star Effect">
      <range mindmx="0" maxdmx="255"/>
    </raw>
    <raw dmxchannel="25" name="Set 1 Pattern Select">
      <range mindmx="0" maxdmx="255"/>
    </raw>
    <raw dmxchannel="25" name="Set 1 Pattern Movement">
      <range mindmx="0" maxdmx="255"/>
    </raw>
    <raw dmxchannel="25" name="Set 2 Pattern Select">
      <range mindmx="0" maxdmx="255"/>
    </raw>
    <raw dmxchannel="25" name="Set 2 Pattern Movement">
      <range mindmx="0" maxdmx="255"/>
    </raw>
    <raw dmxchannel="25" name="Pixel Select 1 - 8">
      <range mindmx="0" maxdmx="255"/>
    </raw>
    <raw dmxchannel="25" name="Pixel Select 9 - 16">
      <range mindmx="0" maxdmx="255"/>
    </raw>
    <raw dmxchannel="25" name="Pixel Select 17 - 20">
      <range mindmx="0" maxdmx="255"/>
    </raw>
  </functions>
  <functions>
    <!-- Beam 1 -->
    <const dmxchannel="4" name="Color (fixed)" val="0"/>
    <rgb>
      <red dmxchannel="5"/>
      <green dmxchannel="6"/>
      <blue dmxchannel="7"/>
      <white dmxchannel="8"/>
    </rgb>
    <dimmer dmxchannel="9"/>
  </functions>
  <functions>
    <!-- Beam 2 -->
    <const dmxchannel="13" name="Color (fixed)" val="0"/>
    <rgb>
      <red dmxchannel="14"/>
      <green dmxchannel="15"/>
      <blue dmxchannel="16"/>
      <white dmxchannel="17"/>
    </rgb>
    <dimmer dmxchannel="18"/>
  </functions>
  <functions>
    <!-- Beam 3 -->
    <const dmxchannel="19" name="Color (fixed)" val="0"/>
    <rgb>
      <red dmxchannel="20"/>
      <green dmxchannel="21"/>
      <blue dmxchannel="22"/>
      <white dmxchannel="23"/>
    </rgb>
    <dimmer dmxchannel="24"/>
  </functions>
  <procedures>
    <reset>
      <set dmxchannel="12" value="255"/>
      <hold value="1500"/>
      <restore dmxchannel="12"/>
    </reset>
  </procedures>
</device>
